Skip to main content
GET
/
byok
/
{id}
Get a BYOK provider credential
curl --request GET \
  --url https://openrouter.ai/api/v1/byok/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "allowed_api_key_hashes": null,
    "allowed_models": null,
    "allowed_user_ids": null,
    "created_at": "2025-08-24T10:30:00Z",
    "disabled": false,
    "id": "11111111-2222-3333-4444-555555555555",
    "is_fallback": false,
    "label": "sk-...AbCd",
    "name": "Production OpenAI Key",
    "provider": "openai",
    "sort_order": 0,
    "workspace_id": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

id
string<uuid>
required

The BYOK credential ID (UUID).

Example:

"11111111-2222-3333-4444-555555555555"

Response

BYOK credential details

data
object
required

The BYOK credential.

Example:
{
"allowed_api_key_hashes": null,
"allowed_models": null,
"allowed_user_ids": null,
"created_at": "2025-08-24T10:30:00Z",
"disabled": false,
"id": "11111111-2222-3333-4444-555555555555",
"is_fallback": false,
"label": "sk-...AbCd",
"name": "Production OpenAI Key",
"provider": "openai",
"sort_order": 0,
"workspace_id": "550e8400-e29b-41d4-a716-446655440000"
}